List Environments

get

/rpa/v1/environments

Gets a list of all available environments in service instance.

Request

Query Parameters
  • Minimum Length: 1
    Maximum Length: 50
    A filter to return only resources that match the entire display name given.
  • Filters environments based on their avilability to be added int an envrionment group. False will not filter any environment. True will filter showing environments available for adding into a Environment Group.
    Default Value: false
  • To filter the environments
    Default Value: false
  • A filter that returns all resources that match the specified lifecycle state.
  • Minimum Value: 1
    Maximum Value: 100
    The maximum number of items to return.
    Default Value: 100
  • Minimum Length: 1
    A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response.
  • The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
    Default Value: TIME_CREATED
    Allowed Values: [ "TIME_CREATED", "DISPLAY_NAME", "ENVIRONMENT_GROUP_DISPLAY_NAME" ]
  • The sort order to use, either 'ASC' or 'DESC'.
    Allowed Values: [ "ASC", "DESC" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

A page of Environment Summary objects.
Headers
  • For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : EnvironmentCollection
Type: object
Results of a environment list operation. Contains EnvironmentSummary items.
Show Source
Nested Schema : items
Type: array
List of EnvironmentSummary objects.
Show Source
Nested Schema : EnvironmentSummary
Type: object
Summary of an environment
Show Source
Nested Schema : instanceMetadataProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the instance Metadata System Properties
Example:
{
    "InstanceId":"ocid.instance",
    "InstancePoolId":"ocid.instancePool",
    "CompartmentId":"ocid.compartment",
    "Region":"us-ashburn-1"
}
Nested Schema : systemProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the Environment System Properties
Example:
{
    "HostName":"JANEDOE-MACBOOKPRO",
    "OperatingSystemVersion":"12.6.5",
    "OperatingSystemName":"Mac OS X",
    "OperatingSystemArchitecture":"x86_64",
    "IPAddress":"10.0.1.3",
    "MacAddress":"F8-4D-89-87-F6-9D"
}

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top